libvisio::VSDParaStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDParaStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDParaStyle ()
| VSDParaStyle (unsigned cc, double ifst, double il, double ir, double sl, double sb, double sa, unsigned char a, unsigned b, const VSDName &bs, const VSDName &bf, double bfs, double tpab, unsigned f)
| VSDParaStyle (const VSDParaStyle &style)=default
| ~VSDParaStyle ()
VSDParaStyle & | operator= (const VSDParaStyle &style)=default
void | override (const VSDOptionalParaStyle &style, const VSDXTheme *)

## Public Attributes
unsigned | charCount
double | indFirst
double | indLeft
double | indRight
double | spLine
double | spBefore
double | spAfter
unsigned char | align
unsigned char | bullet
VSDName | bulletStr
VSDName | bulletFont
double | bulletFontSize
double | textPosAfterBullet
unsigned | flags

## Constructor & Destructor Documentation

## ◆ VSDParaStyle() [1/3]

libvisio::VSDParaStyle::VSDParaStyle | ( |  | ) |
| inline

Referenced by operator=(), and VSDParaStyle().

## ◆ VSDParaStyle() [2/3]

libvisio::VSDParaStyle::VSDParaStyle | ( | unsigned | cc,
|  | double | ifst,
|  | double | il,
|  | double | ir,
|  | double | sl,
|  | double | sb,
|  | double | sa,
|  | unsigned char | a,
|  | unsigned | b,
|  | const VSDName & | bs,
|  | const VSDName & | bf,
|  | double | bfs,
|  | double | tpab,
|  | unsigned | f )
| inline

## ◆ VSDParaStyle() [3/3]

libvisio::VSDParaStyle::VSDParaStyle | ( | const VSDParaStyle & | style | ) |
| default

## ◆ ~VSDParaStyle()

libvisio::VSDParaStyle::~VSDParaStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

VSDParaStyle & libvisio::VSDParaStyle::operator= | ( | const VSDParaStyle & | style | ) |
| default

## ◆ override()

void libvisio::VSDParaStyle::override | ( | const VSDOptionalParaStyle & | style,
|  | const VSDXTheme * | )
| inline

Referenced by libvisio::VSDContentCollector::collectParaIX().

## Member Data Documentation

## ◆ align

unsigned char libvisio::VSDParaStyle::align

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ bullet

unsigned char libvisio::VSDParaStyle::bullet

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ bulletFont

VSDName libvisio::VSDParaStyle::bulletFont

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ bulletFontSize

double libvisio::VSDParaStyle::bulletFontSize

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ bulletStr

VSDName libvisio::VSDParaStyle::bulletStr

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ charCount

unsigned libvisio::VSDParaStyle::charCount

Referenced by libvisio::VSDContentCollector::collectParaIX(), VSDParaStyle(), and VSDParaStyle().

## ◆ flags

unsigned libvisio::VSDParaStyle::flags

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ indFirst

double libvisio::VSDParaStyle::indFirst

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ indLeft

double libvisio::VSDParaStyle::indLeft

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ indRight

double libvisio::VSDParaStyle::indRight

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ spAfter

double libvisio::VSDParaStyle::spAfter

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ spBefore

double libvisio::VSDParaStyle::spBefore

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ spLine

double libvisio::VSDParaStyle::spLine

Referenced by libvisio::VSDContentCollector::_fillParagraphProperties(), override(), VSDParaStyle(), and VSDParaStyle().

## ◆ textPosAfterBullet

double libvisio::VSDParaStyle::textPosAfterBullet

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), override(), VSDParaStyle(), and VSDParaStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h